TAAS - Feature #182

Ticket Cancel
05/03/2023 02:34 PM - Junaid M

Status: Reopen Bugs Start date: 05/02/2023
Priority: Normal Due date:

Assignee: Junaid M % Done: 50%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Ticket Cancel

Description

Coding Ticket Cancel

History

#1 - 05/03/2023 02:35 PM - Muhasin PU

- Status changed from New to Coding Started

- Start date changed from 05/03/2023 to 05/02/2023
- % Done changed from 0 to 40

#2 - 05/31/2023 11:34 AM - Muhasin PU
- Status changed from Coding Started to Particialy Coding Done

On Testing and modifications for Refund.

#3 - 07/06/2023 03:40 PM - Amal Cyriac

- Status changed from Particialy Coding Done to Reopen Bugs
- Assignee changed from Muhasin PU to Junaid M

- % Done changed from 40 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****

1.Remove Batch no. from drop down label toggle
2.Set alignment on drop down label toggle
3.Remove SAR from GUI

4.Fix bugs on Sector input box - departure date missing while add sector

5.Fix bugs on sector count

6.Use dd/mm/yyyy format on date

( Check in Date)

7.Set validations on date

(Departure & Arrival)

8.Fix error on Sector input box - missing on reload
9.Resize grid columns - Tax details Popup

10.Precision Bugs on Supplier Charge and Amount

11.Fix bugs on Ticketing/Booking staff auto completion field
(Code must be split into two- Character & Numeric)

#4 - 08/16/2023 05:37 PM - Seema Mathew

- Tested By changed from Amal Cyriac to Seema Mathew

ISSUE FOUNDED

1.REMOVE MANDATORY FIELD DUE DATE

#5 - 08/24/2023 05:04 PM - Seema Mathew
ISSUE FOUNDED -

1.REMOVE MANDATORY FIELD FROM DUE DATE.
2.REMOVE SRA LABEL AND ADD QAR.
3.ADDED TOOL TIP FOR HAND ICON IN FARE

#6 - 10/12/2023 02:36 PM - Seema Mathew

Seema Mathew wrote in #note-5:

ISSUE FOUNDED -

1.REMOVE MANDATORY FIELD FROM DUE DATE.
2.REMOVE SRA LABEL AND ADD QAR.
3.ADDED TOOL TIP FOR HAND ICON IN FARE

4.ADD DEFAULT BRANCH AND DEPARTMENT IN TICKET CANCEL .
5.ADD VOID CHECK BOX IN DETAILS
6.ADD VALIDATON FOR SECTOR

#7 - 01/05/2024 11:21 AM - unnikannan S
ISSUE FOUNDED

1.CONNECT DATAS TO SUPPLIER SERVICE WISE SOA

2.MISSING PRECISION AND MANDATORY FIELD WHILE CHOOSING NEW BUTTON

3.SHOW DATA OF ANCILLARY SERVICES AS PER CHOOSEN SERVICES IN ANCILLARY SERVICE MASTER
4.ISSING SAVED XO VOUCHERS WHILE DELETING ONE VOUCHER ITEM FROM VOUCHERS

5.CANT DELETE VOUCHERS SHOWING MESSAGE ALREADY UPDATED

6.CONNECT VOUCHER DATA WITH SUPPLIER SERVICE WISE SOA

7.CANCEL DATE GOING TO PAST DATE WHILE SAVE AND RELOAD

8.CANT ADD PAYBACK ACCOUNT

9.FALSE AMOUNT IN CUSTOMER SIDE SHOWING HALF AMOUNT OF SUPPLIER SIDE FARE COMPONENT
10.MISSING ADDED CHAR CODE/NUMERIC CODE FIELD IN ISSUING STAFF FIELD

11.NOT CLEARING CODE OF REFUNDING STAFF WHILE CLEARING NAME

12.CHANGE IN FARE FIELDS IN FOCUS OUT FROM PERCENTAGE FIELD ALSO IN AP SHARING FIELD
13.ERROR ON UPDATION AFTER DELETING THE RECEIPT DOC

#8 - 01/05/2024 11:21 AM - unnikannan S

- Tested By changed from Seema Mathew to unnikannan S

#9 - 02/23/2024 04:41 PM - Junaid M

Ticket Issue and Cancel GUI Changes

1) Stock Selection related changes

— Then allowed to Select GDS (Like XO No) - Not Mandatory

- If Load then GDS Load and Disable, Service load only Air Ticket Service (Service Master GUI Type = Air Ticke
t Service)

— If Sevice not Sales Mapping = Ticket tab GUI then load

2) All Other Issue and Cancel GUI Changes

- Stock Selection related changes

— Then allowed to Enter Stock Doc No (Like XO No) - Not Mandatory
- If Load then Service not change and Disable

— If Sevice not Sales Mapping = *** tab GUI then raise error

— Tax Components popup all issue and Cancel

#10 - 10/07/2024 05:26 PM - Junaid M

New Feature Change

1) Add Customer Cost center In Custom Tab

#11 - 10/26/2024 01:10 PM - Theja Ponon
- File clipboard-202410261308-v5fne.png added

New Feature Change

1) Add Customer Cost center In Custom Tab [Apply this in All Issue/Cancel Module]
Issue Found

1)void tickets in ticket issue can load in ticket cancel(same issue in Hotel,other, transfer,visa)
2.on deleting a ticket in ticket cancel after deleting the refund record of the ticket shows error

Travvise Ticket Cancel 2zl @@ ven - [ 5 /0
TRAVEL SOLUTION PVT LTD
"
Collapse P0001: jsnSqRes: {"sinSqCt " 21, "strSqlC ode” : "ERROR", "strSqlCustomMessage" : “Ticket Cancel Delete Failed”, "strSqlCustomErrorType” : "DATABASE_SYSTEM_ERROR®, “strSqlCustomErrorCode” : null, x Update
Py “strSqiSysMessage” : “update or delete on table \"tbl_supp_doc_fare\" violates foreign key constraint \"tbl_mod_of_refund_supp_doc_fk_base.fare_id_fkey\" on table \"tbl_mod_of_refund_supp_docy™, “strSqiSysExceptionDetail” : "Key
Honl (pk_supp_doc_fare_id)=(15) is still referenced from table \"tbl_mod_of_refund_supp_doc\".", "strSqlSysExceptionHint” : "SQL statement \"DELETE FROM service.tbl_supp_doc_fare WHERE pk_supp_doc_fare_id = ANY(arbFarelds)\"\nPL/pgSQL New
- function sp_delete_ticket_cancel(bigint,bigint,integer,bigint.character varying[]) line 285 at SQL statement", "binSqlPK" : 0, "binSqllogPk" : 0, "strSqlDocNo" : null, *dctSqiOtherData" : null}
= VS - Ticket No* TKO3 Cancelled ~ Cancel Date* | 25/10/2024 8 ]
] Sub Customer ~ Department* DP001: Account v
To Do
o Commission Agent* 0.00 QAR File No* Enquiry
Master Ner
Responsible User ~ Due Date* | dd/MM/yyyy ]
e Cost Center* v
Mo Created By:  admin(25/10/2024 04:31 PM)
" i .
Inventory Modified By:
-
Assets
Dashboard

3) total amount should show in corresponding currency in fare details tab(in all cancel modules)

4) fare amount in fare detail tab is updating only when changes are made in any fields in fare tab or moving back from ap sharing tab to fare detail(all
cancel modules)

5) ROE given in the issue module is not updating in the fare detail tab in cancel module(all cancel module)

NEW CHANGES

1. In Ticket Tab --> Reference Employee --> Change to Dropdown Labels.
--> Options are "Ref. Employee", "Ref. Account" (Account--> Customer/Supplier/Comn Agent)

#12 - 11/23/2024 05:33 PM - Arathy PS

- Status changed from Reopen Bugs to New Changes

NEW CHANGES

Additional Pax

—> Additional Pax Popup - Need Copy <Inputbox> Retore <Checkbox>
—->Add 'Import' Button after 'Sequence' button

* Check Account or JV import

— File* (Red) file Chooser

-Left Side

*File

Avoid First Number of Rows <input>
Avoid Last Number of Rows <input>
*Input Pax Type String <input>
Adult <input>

Child <input>

Infant<input>

-Right Side Table # | Checkbox Column | Index
Ticket No

Pax Profile

Pax Name (Mandatory)

Pax Type (Mandatory)

Nationality

Passport No

Date of Birth

Phone

Email

Save Settings | Close | Import —-> Buttons
—> In Additional Pax Pop-up —--> at the end of pax add attachment icon as grouped. click then open attachemnt u
pload for pax name

—-> In Ticket tab -> at the end of pax add attachment icon as grouped. click then open attachemnt upload for pa
X name
#13 - 12/17/2024 05:26 PM - unnikannan S
- File clipboard-202412171726-1ztqd.png added

- Status changed from New Changes to Reopen Bugs

#14 - 01/08/2025 03:52 PM - Arathy PS
ISSUE FOUND

1. Normal Profit of refund should be difference of refund charge and supplier charge and actual profit should be the difference in service fee or other
fare components in customer side from sale.
2. Can change the mandatory fields filled in ticket stock after loading them here.

NEW CHANGES

1==>In AP Sharing tab,

--> 'Sharing Type' Default 'Customer Corp Card'

--> 'Card Number' --> Mandatory --> Load from Customer Master -- based on Customer and Corporate Account
--> 'Corporate Card*' Set default -> before 'Supplier'

*--in the corporate card entry field Load Only 'UCCF' Corporate Card.

--Expiry Date: - Blue * ??

--Name On Card: - Blue * ??

2. Add a new field 'Service Provider' after channel.

NEW CHANGES

1. In the AP sharing tab bottom,

--> Add title on Card Number:- Cardmember Account Number
--> Change 'Name On Card":- Cardmember Name

--> Add "AEME Approval Code™ Textbox

#15 - 04/12/2025 02:09 PM - Arathy PS
- File clipboard-202504121409-ygikt.png added

ISSUE FOUND

1. No need for the checkbox near the entrybox for fare basis field.
2. When we do old refund reverse tax for sale is showing.

Travvise Ticket Cancel
AVEL SOLUTION PV LTD
Ticket No 2600 Doesn't Exist. Continue If Manual Entry X Save
Vs - Ticket No* | 2600 Cancel - Cancel Date* | 12/04/2025 [ X Restore*
Customer Ticket Fare = Segment Details Custom Data AP Sharing
Receivable In QAR Payable In QAR
Publish Fare | 0.00 Service Fee | 100.00 % 909
Fare | 110000 ManagementFee | 0p % 0.00
‘Queue Tax 0.00 1100.00 Payback Account
Tax Details & Payback Amount | 0,00 % | 0.00
Tx | 000 % 0.00 Agent Commission | 0,00 o % oo
Commission | 0.00 % 0.00 Discount(-) | 0.00 %| 0.00
Expected Commission | 0,00 % 0.00 Deal Discount | 0.00 % | 0.00
Deal Commission | (oo 0.00 % | 0.00 PLB Discount | g0p % | 0.00
PLE Commission | 0,00 % | 0,00 Corporate Card Charge* | p,0p 000 % 000
Supplier Fee* | 0.00 % 0.00 Insurance Charge™ | 0.00 000 % | 0.00
Supplier Charge* | 0.00 % 0.00 Refund Charge® | 200.00 @ %1818
Corporate Card Charge | 0,00 % 0.00 Billing Tax | 30,00 A
Insurance Charge | 0,00 % 0.00 BT001: VAT_OUTPUT | 1500 % 15 100.00
ADM Expected - | 00 ADM: 0.00 | ACM: 0.00 BT003z VAT_OUTPUT_REFUND | 30,00 % 15 200.00
Cancellation Charge | 0,00 % 0.00 Rounding Amount | 0.00
ALPORetum | 000 Price* | 085.00 o
Supplier Billing Tax | 0.00 v Profit : 200.00 (115.00)
ot [ 110000 o 110000 Customer Payable” : 985.00 UCCF Paid* : 0.00
paid- : 0.00 Sharing” : 0.00 Supplier Receivable™ : 1100.00 N TN

#16 - 05/02/2025 10:25 AM - Arathy PS
NEW CHANGES - Started
=> New Changes
—— In Ticket Cancel module only
-— After Original Issue Add new field (Multi select box) Label is 'Refunded original issue'. default select a

—— When Load a ticket in Ticket cancel, load all original issue tickets and fare recursively

—-— Update Fare values based on selection. (default select all, so fare is sum of all original issue + re issue
amount)

——Check validation for refund amount should not exceed sum of all original issue + re issue amount)

-— Add Db field to store the selection - Ask Junaid

—— In save update status of all selected original issue tickets
